org.eclipse.gef.dnd

## Class TemplateTransfer

- java.lang.Object
- - org.eclipse.swt.dnd.Transfer
  - - org.eclipse.swt.dnd.ByteArrayTransfer
    - - org.eclipse.gef.dnd.SimpleObjectTransfer
      - - org.eclipse.gef.dnd.TemplateTransfer

    public final class TemplateTransfer
    extends SimpleObjectTransfer

Transfer object used to transfer the template of a palette tool. It is used for drag-and-drop from the palette as well as copy/paste from the palette.

Since:
  2.1

### Method Summary

Methods
`static TemplateTransfer` `getInstance()` Returns the singleton instance
`java.lang.Object` `getTemplate()` Returns the template object.
`protected int[]` `getTypeIds()`
`protected java.lang.String[]` `getTypeNames()`
`void` `setTemplate(java.lang.Object template)` Sets the template Object.

### Methods inherited from class org.eclipse.gef.dnd.SimpleObjectTransfer

`getObject, javaToNative, nativeToJava, setObject`

### Methods inherited from class org.eclipse.swt.dnd.ByteArrayTransfer

`getSupportedTypes, isSupportedType`

### Methods inherited from class org.eclipse.swt.dnd.Transfer

`registerType, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static TemplateTransfer getInstance()

Returns the singleton instance

Returns:
  the singleton

#### getTemplate

    public java.lang.Object getTemplate()

Returns the template object.

Returns:
  the template

#### getTypeIds

    protected int[] getTypeIds()

Specified by:
  `getTypeIds` in class `Transfer`
See Also:
  `Transfer.getTypeIds()`

#### getTypeNames

    protected java.lang.String[] getTypeNames()

Specified by:
  `getTypeNames` in class `Transfer`
See Also:
  `Transfer.getTypeNames()`

#### setTemplate

    public void setTemplate(java.lang.Object template)

Sets the template Object.

Parameters:
  `template` - the template